Bug 804001 - qpid-qmf has to be rebuilt on both RHEL5/6 for catching incremented qpid-cpp[-mrg] libraries versions
qpid-qmf has to be rebuilt on both RHEL5/6 for catching incremented qpid-cpp[...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: distribution (Show other bugs)
Development
Unspecified Unspecified
unspecified Severity urgent
: 2.1.2
: ---
Assigned To: Nuno Santos
Frantisek Reznicek
:
Depends On:
Blocks: 790563 800028 804005
  Show dependency treegraph
 
Reported: 2012-03-16 05:35 EDT by Frantisek Reznicek
Modified: 2015-11-15 20:14 EST (History)
7 users (show)

See Also:
Fixed In Version: qpid-qmf-0.14-4.el5 qpid-qmf-0.14-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-11 06:51:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2012-03-16 05:35:11 EDT
Description of problem:

qpid-qmf has to be rebuilt on both RHEL5/6 for catching incremented qpid-cpp[-mrg] libraries versions.

As of now qpid-qmf.el6 was rebuilt, but qpid-qmf.el5 was not.

This leads to following installation issues:

[root@hp-dl560-01 post_add_pkgs]# rpm -Uvh *.rpm
error: Failed dependencies:
        libqpidclient.so.5 is needed by qpid-qmf-0.14-3.el5.i386
        libqpidclient.so.5 is needed by ruby-qpid-qmf-0.14-3.el5.i386

Looking more in detail to provides and requires I found library version mismatch:

  [root@hp-dl560-01 post_add_pkgs]# rpm -qlp qpid-cpp-client-0.14-12.el5.i386.rpm | grep libq
  /usr/lib/libqpidclient.so.6
  /usr/lib/libqpidclient.so.6.0.0
  /usr/lib/libqpidcommon.so.6
  /usr/lib/libqpidcommon.so.6.0.0
  /usr/lib/libqpidmessaging.so.3
  /usr/lib/libqpidmessaging.so.3.2.0
  /usr/lib/libqpidtypes.so.1
  /usr/lib/libqpidtypes.so.1.2.0
  [root@hp-dl560-01 post_add_pkgs]#
  [root@hp-dl560-01 post_add_pkgs]#
  [root@hp-dl560-01 post_add_pkgs]# rpm -qRp qpid-qmf-0.14-3.el5.i386.rpm | grep libq
  libqmf.so.4
  libqmf2.so.1
  libqmfconsole.so.5
  libqmfengine.so.4
  libqpidclient.so.5
  libqpidmessaging.so.3
  libqpidtypes.so.1



Version-Release number of selected component (if applicable):
qpid-qmf-0.14-3.el5 + qpid-cpp-client-0.14-12.el5

How reproducible:
100%

Steps to Reproduce:
1. try to install above packages 
  
Actual results:
qpid-cpp-mrg-0.14-12.el5 + qpid-qmf-0.14-3.el5/ not installable together

Expected results:
qpid-cpp-mrg + qpid-qmf should be installable together

Additional info:

RHEL6 packageset seems ok:
  [f@quad ~]$ rpm -qRp http://dow.../qpid-qmf-0.14-5.el6.i686.rpm | grep libq
  libqmf.so.4
  libqmf2.so.1
  libqmfconsole.so.5
  libqmfengine.so.4
  libqpidclient.so.6
  libqpidcommon.so.6
  libqpidmessaging.so.3
  libqpidtypes.so.1
  [f@quad ~]$ rpm -qlp http://dow.../qpid-cpp-client-0.14-12.el6.i686.rpm | grep libq
  /usr/lib/libqpidclient.so.6
  /usr/lib/libqpidclient.so.6.0.0
  /usr/lib/libqpidcommon.so.6
  /usr/lib/libqpidcommon.so.6.0.0
  /usr/lib/libqpidmessaging.so.3
  /usr/lib/libqpidmessaging.so.3.2.0
  /usr/lib/libqpidtypes.so.1
  /usr/lib/libqpidtypes.so.1.2.0
Comment 3 Nuno Santos 2012-03-23 13:51:50 EDT
Rebuilt for RHEL5, qpid-qmf-0.14-4.el5, and RHEL6, qpid-qmf-0.14-6.el6.
Comment 4 Petr Matousek 2012-03-26 04:26:42 EDT
This issue has been resolved, following builds are properly installable together (tested on RHEL5.8 x86_64 & i386; RHEL6.2 x86_64 & i386):

qpid-cpp-0.14-12.el6 + qpid-qmf-0.14-6.el5
qpid-cpp-mrg-0.14-14.el5 + qpid-qmf-0.14-4.el5
Comment 5 Frantisek Reznicek 2012-03-26 04:37:30 EDT
All libqpidcommon.so.6 and libqpidclient.so.6 library issues between qpid-cpp*
and qpid-qmf resolved by latest builds, tested with packages:
  qpid-cpp-client-0.14-14.el5 + qpid-qmf-0.14-4.el5
  qpid-cpp-client-0.14-12.el6 + qpid-qmf-0.14-6.el6

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.